OpenGL (Open Graphics Library) is a free API used in computer graphics, for development of graphicals applications, 3D environments, games, among others.

learn more… | top users | synonyms

0
votes
1answer
37 views

Installing OpenGL in Linux?

I'd like to install OpenGL on my Debian live cd. I just need it to so a virtualbox windows guest can use it. It's a live cd so no changes will be saved, so the easiest way possible would be great. Any ...
1
vote
0answers
27 views

Steam GLX context is not using direct rendering

A few month ago I messed up with my mesa libs and openGL for a school project, I don't remember what I changed exactly, it had something to do with the OpenGL version I think, but now I realise that I ...
0
votes
0answers
19 views

VirtualGL - Render locally, display remotely

This is a weird use case, but I'm hoping it's possible. There are 2 machines involved here, A and B (which is a Windows host running xming). I want to use VirtualGL to use A's GPU, but display the ...
1
vote
1answer
55 views

Red and Green color channels are swapped in ffmpeg rendered video

I'm using code similiar to this to pipe OpenGL image data directly to ffmpeg. I'm using this readpixels call: qglReadPixels( 0, 0, glConfig.vidWidth, glConfig.vidHeight, GL_RGB, GL_UNSIGNED_BYTE, 0 )...
0
votes
1answer
45 views

GeForce 210 support for OpenGL 4.x on Linux

The GeForce 210 card has hardware OpenGL 3.x capable. Is it possible to make that the card supports OpenGL 4.1 at least? Maybe with some software library? PS. The computer has installed Kubuntu 15.10
0
votes
0answers
41 views

Certain games running extremely slowly when my other monitor is turned off

I'm running a laptop (MacBook Pro 2010, nVidia 330m, Boot Camped to Windows 10) hooked up to an external display (actually a Vizio M220MV television) via HDMI. Lately, I've noticed a bizarre problem ...
0
votes
0answers
103 views

What openGl version my computer supports?

I'm trying to figure out what openGL version my computer supports. I'm using nvidia geforce 6150se nforce 430 graphics card with driver 309.08. When I look at openGL extensions viewer it says 2.1. ...
-1
votes
1answer
677 views

Ubuntu 14.04: Steam - OpenGL GLX extension not supported by display

I have a problem with Valve's Steam on Ubuntu 14.04. Whenever I try to start steam I get an error "OpenGL GLX extension not supported by display". OpenGL GLX extension not supported by displayAssert( ...
2
votes
0answers
160 views

Reduce visual effects in KDE Plasma?

Problem We have a RHEL x64 machine with KDE Plasma 5+ and we don't want any fancy graphics or effects. We tried manually disabling the effects through the settings menu, but this has had little ...
0
votes
1answer
155 views

OpenGL Version - My system will not upgrade from OpenGL Version 1.1

I'm unable to update my OpenGL version past v1.1 and am in need of help! I'm running on Windows 7 and am trying to update my system's version of openGL. My graphics card is an NVDIA Gforce 960, and ...
1
vote
0answers
33 views

Is dynamic shader translation possible?

I know there's dynamic binary translation/JITs, but what about dynamic shader translators? I'm writing an emulator for a system that uses a very particular, custom graphics processor, but I'd like to ...
0
votes
1answer
845 views

loadlibrary failed with error 1114

Yesterday i upgraded my OS Windows 7 to Windows 10. When i try to run Android project, which created with LibGDX framework, at desktop mode Java throw LoadLibrary error. Run scf scannow command at cmd....
0
votes
0answers
16 views

How to tell if my Openframeworks(C++) is using hardware acceleration on a Wintel card

I have an OpenFrameworks program that relies on OpenGl for it's video processing effects. it currently runs fairly slow (30fps) on an Asus laptop with a mid level GPU. On a 3 year old imac it runs at ...
0
votes
0answers
90 views

Minecraft on VM

I was testing Minecraft on a virtual box VM and I gave the windows 7 guest 128 mb of vram and I enabled 3d acceleration, I also installed direct 3D support through guest additions. But when I started ...
1
vote
0answers
222 views

Enabling graphics acceleration for OpenGL over remotely via VPN from Ubuntu client(my laptop)to Windows server(computation is here)

I have an access to Internet via a Wifi. Then, I have a VPN connection established from my Ubuntu laptop to a LAN network. In that network there is my Windows Machine where computation happens using ...
-1
votes
1answer
410 views

OpenGL 3 required, but it is present

I'm trying to install DIALux EVO 5.1 but when I try to run it raises an exception noting that "OpenGL3 is required", see bellow: When I run a diagnosis tool it shows that OpenGL3.0 is 100% ...
0
votes
0answers
514 views

Having trouble installing drivers for Intel G41 Express graphics Chipset on Win 8.1 32bit with OpenGL support

Our customer tried running a MonoGame project and received an error related to a gl_bind call. Essentially, his system/drivers are not updated to support the OpenGL version required. He is unable ...
-1
votes
1answer
116 views

Does Directx version depends on graphic card?

I am trying to understand how graphic cards and cpu interacts. Now i understand that there is program (running on cpu) called device (in this case graphic card) driver that sends commands to graphic ...
0
votes
0answers
271 views

How to install missing OpenGL binding for PyQtGraph (pyqtgraph.opengl)?

The pyqtgraph.opengl module is required by binwalk to generate graphs and visualizations. I've already installed pyqtgraph via: pip install pyqtgraph. I also installed PyOpenGL as below: pip ...
8
votes
2answers
4k views

OpenGL 2.1 or higher for Windows XP

For a game I need OpenGL 2.1 or higher, but I want it to run on my good old Win XP box with an ATI Radeon 9200SE graphics card. It currently seems to have OpenGL 1.3.1008 WinXP Release and graphics ...
0
votes
0answers
349 views

OpenGL ES 3.0 on Android via Bluestacks?

I can run pretty much 90% or more of every app in existence via Bluestacks, but those that depend on and require GL ES 3.0 will not work on Bluestacks. Any word? If Bluestacks can do 2.0, why not 3.0? ...
0
votes
0answers
249 views

Using OpenGL 3.x in Ubuntu 15.04 in VMware

Im using Ubuntu 15.04 in VMware under Windows 10 with an nvidia titan x. While programming I suddenly realized that something is wrong my OpenGL support. Checking with glxinfo I saw the following ...
0
votes
0answers
89 views

How to Setup Codeblocks for openGL in Manjaro Linux

I have searched every corner, I couldn't find any solution. I want to setup OpenGl in CodeBlocks in Linux. I've been looking for it from last 34 hours. Help me !!!
0
votes
0answers
86 views

R : rgl displaying issue (black windows) on linux

I installed the rgl package for R on my new computer running on Linux Mint 17. I followed the advices found on several forum as I already did on my previous computer to solve my issues. So, rgl is ...
1
vote
1answer
1k views

Portal 2 won't launch

Usually I can figure this stuff out on my own, but I am stumped with this one: When trying to open portal 2 in steam, I get the preparing to launch portal 2 message, the message closes, then nothing. ...
0
votes
1answer
122 views

Does updating the graphics card driver enable support of latest OpenGL version?

The specs for my GeForce GTX 650 say that it supports OpenGL 4.2. Does this mean that it will never be able to support later versions of OpenGL (4.4)? Or will a driver update enable support for 4.4?
0
votes
0answers
78 views

Unmet dependencies for OpenGL

I recently tried out the xorg-edgers ppa for Nvidia-352 driver and it kind of screwed things up, so I removed it. Now, I can't make or install things I used to be able to. I am trying to make the ...
-2
votes
1answer
54 views

there is some error which force me to install opengl v2 or higher

i need to a driver which provides ![opengl 2.0][1] or higher to solve an fatal Error... beacuaase one of my app need to its driver would any body help me?!
1
vote
1answer
1k views

OpenGL 3.3 for Intel HD Graphics in Debian?

I'm using OpenGL 3.0 with Mesa 10.3.2 in Debian 8.1 Jessie by system default, but I need OpenGL 3.3 and I don't know how to enable it. I tried to update Mesa but it's still with OpenGL 3.0. This is ...
1
vote
0answers
100 views

Running Helm in VirtualBox

I've written a game in Haskell using Helm, but I'm having problems when I try to run the game in my virtual box. I have tried running the game on other (Linux) computers and it works well, but when I ...
1
vote
0answers
443 views

OpenGL GLX extension not supported by display when starting Steam (CS:S)

On my Linux Mint machine I can't get Counter-Strike Source started with my nVidia GeForce GT645M card. I installed bumblebee drivers and in NVIDIA X Server Configuration the nVidia card is selected. ...
0
votes
0answers
126 views

If a card is OpenGL 3.1 capable is it also OpenGL 3.2 capable?

This wouldn't make a lot of sense to me but support on the nVidia forums uses OpenGL3 capability as a blanket statement and says things like: card x is OpenGL3 capable and card y is OpenGL4 capable ...
1
vote
0answers
673 views

Can't start Weston anymore

For a few weeks, I haven't been able to start Weston anymore on my Arch Linux machine. My Graphics card is: $ glxinfo | grep 'renderer string' OpenGL renderer string: Mesa DRI Intel(R) Ivybridge ...
0
votes
0answers
2k views

OpenGl 2 over Remote Desktop Connection

I have an app that uses OpenGl 2.0. When I use the app normally on my computer, it works fine. When connected using Windows Remote Desktop, the app does not work because only OpenGl 1.1 is supported ...
0
votes
1answer
776 views

Updating OpenGL on Ubuntu

When trying to run Portal 2, I recive this error: SDL video target is 'x11' SDL video target is 'x11' SDL failed to create GL compatibility profile (whichProfile=0! SDL failed to create GL ...
1
vote
1answer
2k views

OpenGL downgrades on Windows 8/8.1 upgrade

I have Windows 8.1 Pro N with ATI Radeon 3100 Graphics (Microsoft Corporation - WDDM v1.1) card. I want to play Angry Birds Star Wars II for PC but it keeps saying something about OpenGL 1.4 and 2.0. ...
0
votes
1answer
4k views

How to Fix Genymotion openGL error?

I am trying to open genymotion,after starting it shows the following error: i saw in various website/blog that this error gets resolved after updating the video card driver.Unfortunately i am ...
0
votes
1answer
415 views

Enable OpenGL on Ubuntu 12.04 LTS

I'm running Trisquel Mini 6.0.1, which is based on the repos for Ubuntu 12.04 on a netbook. I have a lightweight game that I'm trying to run written for the love interpreter, but it fails to ...
2
votes
0answers
969 views

Running OpenGL Apps on Android x86 4.4 R1 in virtual machine

I want to use Android x86 on a virtual machine on Windows 8.1 Pro, but I have Problems with OpenGl. I use the news Android Version (x86 4.4-r1) but I had also tried RC2. Android x86 is always running....
0
votes
1answer
285 views

OpenGL direct state access extension is not supported

I am trying to run Vega Prime 5 and when I run active preview i got the following message:"OpenGL direct state access extension is not supported with current hardware and/or driver setup". Despite ...
1
vote
1answer
515 views

OpenGL is not using Direct Rendering

I have a Chromebook with Debian installed using Crouton. I've installed Steam, and I'm trying to get through all the dependencies and errors associated with such a hacky setup. My latest error that ...
0
votes
0answers
96 views

OpenGL rendering affects CPU

I have a problem with an app that is slowed down significantly when an openFrameworks based app is launched. Both apps use little cpu and memory, so i don't think there's a bottleneck. I can ...
-1
votes
1answer
776 views

AMD Graphics Drivers not available for Windows 8?

I'm trying to upgrade the OpenGL driver from 1.1 to 2.0 (or the latest version). I'm currently using this page to select the appropiate download, but when choosing Integrated Motherboard Graphics > ...
0
votes
1answer
312 views

gDEBugger crashes in Windows 8.1

I want to debug and profile some OpenGL code so I have installed the latest version of gDEBugger on a Macbook Pro with NVidia 9400m graphics card, in Windows 8.1. When I try to run it, its splash-...
1
vote
1answer
1k views

Horrible OpenGL performance on Intel HD Graphics laptop

I’ve been trying to run the ReallySlick screensavers on a laptop for a while now, but some of them do not work (they crash), and the ones that do work have terrible performance and are uselessly slow. ...
1
vote
0answers
286 views

Changing VMware OpenGL version

I'm running Windows XP on VMware, and the graphics adapter has support for OpenGL 2. I need to test some stuff in an enviroment with OpenGL 1.4. When I disable "Accelerate 3d graphics" I get a system ...
0
votes
1answer
709 views

Cant install Half-life 2 on Ubuntu 14.04

Today I tried to install Half-Life 2 on linux but errors occured. This is error log: This system supports the OpenGL extension GL_EXT_framebuffer_object. This system supports the OpenGL extension ...
1
vote
1answer
126 views

Friend has an issue running a program we are writing in Processing

I am working with two friends to create 3D game using Processing. Processing uses OpenGL for 3D programming. Whenever I run the program on my computer, everything works perfectly, but whenever my one ...
2
votes
1answer
15k views

Running OpenGL App on Android x86 and VirtualBox?

I have successfully installed Android x86 4.0 on VirtualBox, and I am trying to get an OpenGL app to work. I have enabled "3D Acceleration" in VirtualBox settings, but when I open the app it instantly ...
0
votes
0answers
129 views

Writing OpenGL 4 software, even though video card supports only 3.2?

I am attempting a purchase of a laptop, that has ATI Mobility Radeon HD 5650 video card. According to this website, that video cart supports only OpenGL version 3.2 . But I would like to start ...